// RoundWindowDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RoundWindow.h"
#include "RoundWindowDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CRoundWindowDlg dialog

CRoundWindowDlg::CRoundWindowDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRoundWindowDlg::IDD, pParent),
	//by Alex
	m_nW(199),
	m_nH(149),
	m_ExitBtn(0,150,46,86,115,37) // from-x, from-y, w, h, to-x, to-y
{
	//{{AFX_DATA_INIT(CRoundWindowDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CRoundWindowDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRoundWindowDlg)
	DDX_Control(pDX, IDOK, m_ExitBtn);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CRoundWindowDlg, CDialog)
	//{{AFX_MSG_MAP(CRoundWindowDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRoundWindowDlg message handlers

BOOL CRoundWindowDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	//by Alex
	VERIFY( SetWindowPos( NULL, 0, 0, m_nW, m_nH, SWP_NOMOVE | SWP_NOOWNERZORDER ) );
	VERIFY( m_WinRgn.CreateEllipticRgn( 0, 0, m_nW, m_nH ) );
	VERIFY( SetWindowRgn(m_WinRgn , TRUE ) );

	m_ExitBtn.Move();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CRoundWindowDlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	//by Alex
	CBitmap BkBmp, *pOldBmp;
	BkBmp.LoadBitmap(IDB_BKBITMAP);
	CDC BmpDc;
	VERIFY( BmpDc.CreateCompatibleDC(&dc) );
	pOldBmp = (CBitmap *)BmpDc.SelectObject(&BkBmp);
	dc.BitBlt(0,0,m_nW,m_nH,&BmpDc,0,0,SRCCOPY);
	BmpDc.SelectObject(pOldBmp);
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CRoundWindowDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
